<template>
  <div class="home">
    <img src="../assets/logo.png">
    <button @click="testApi">Test api</button>
  </div>
</template>

<script>
// @ is an alias to /src
import axios from "axios";

export default {
  name: 'home',
  components: {},
  methods: {
    testApi() {
      axios({
        url: 'http://readium.local/web/v1/student/test',
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
          'Authorization': 'Bearer ' + axios.defaults.headers.common['Authorization']
        }
      }).then(resp => {
        console.log(resp)
      })
    }
  }
}
</script>
